package com.fjhx.service.supplier;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.StorageBaseService;
import com.fjhx.entity.supplier.SupplierPrice;
import com.fjhx.params.supplier.SupplierPriceVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 供应商价格维护 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-07
 */
public interface SupplierPriceService extends StorageBaseService<SupplierPrice> {

    List<Map<String, Object>> getList(Map<String, String> condition);

    Page<Map<String, Object>> getPage(Map<String, String> condition);

    void add(SupplierPriceVo supplierPriceVo);

    void edit(SupplierPriceVo supplierPriceVo);

    void delete(SupplierPriceVo supplierPriceVo);

}
